/* Buton principal */
.fab.main-fab {
  position: fixed;
  right: 15px;
  bottom: 70px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #FFD700;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
color: red;
  z-index: 10000; /* IMPORTANT */
}

.fab.main-fab i {
  color: #000000;
  font-size: 1.5em;
  transition: transform 0.3s ease-in-out;
  pointer-events: none;
}

.fab.main-fab.rotate i {
  transform: rotate(360deg);
}

/* Butoane mici */
.inner-fabs .fab {
  width: 40px;
  height: 40px;
  right: calc(15px + 5px);
  bottom: calc(70px + 5px);
  font-size: 1.3em;
  z-index: 9998;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: bottom 0.3s ease, opacity 0.3s ease;
  opacity: 0;
  background-color: #FFD700;
  border-radius: 50%;
  position: fixed;
}

.inner-fabs .fab i {
  color: #000000;
}

/* Poziții când meniul e deschis */
.inner-fabs.show .fab:nth-child(1) { bottom: 130px; opacity:1; }
.inner-fabs.show .fab:nth-child(2) { bottom: 180px; opacity:1; }
.inner-fabs.show .fab:nth-child(3) { bottom: 230px; opacity:1; }
.inner-fabs.show .fab:nth-child(4) { bottom: 280px; opacity:1; }
.inner-fabs.show .fab:nth-child(5) { bottom: 330px; opacity:1; }
.inner-fabs.show .fab:nth-child(6) { bottom: 380px; opacity:1; }

/* Tooltip */
.fab:before {
  content: attr(data-tooltip);
  transition: opacity 0.15s cubic-bezier(0.4, 0, 1, 1);
  position: absolute;
  visibility: hidden;
  opacity: 0;
  color: #fff;
  right: 100%;
  margin-right: 10px;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(70, 70, 70, 0.9);
  font-size: 0.5em;
  line-height: 1em;
  display: inline-block;
  text-align: center;
  white-space: nowrap;
  border-radius: 2px;
  padding: 6px 8px;
  max-width: 200px;
  text-overflow: ellipsis;
  vertical-align: middle;
  z-index: 10000;
}

.inner-fabs.show .fab:hover:before {
  visibility: visible;
  opacity: 1;
}
